/**
 * taxpatch.h
 * 
 * This file is part of the taxpatch program
 * Copyright (C) 1999 Frederick (Rick) Niles
 * This code is covered under the GPL (see COPYING for details)
 **/

#define MAXLINELEN 80
#define VERSION "0.1"

#define max(a,b)      ( (a) > (b) ? (a):(b) )
#define min(a,b)      ( (a) < (b) ? (a):(b) )

extern int dontPrintZeroValue;
extern double rowWidth;
extern double colWidth;


void patchForm(FILE *fp);
void readNextLine(FILE *fp, char *line);
int readBoolean(FILE *fp);
void hunkHeader(int origStartLine, int newLines);
void substitute(int origStartLine, char *pre, char *old, 
		char *new, char *post);
double getValueXOffset(char *value);
void addRowColValue(int row, int column, double value);
void addCheckMark(double x, double y);
